/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * 12.10.2011 by frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.core.util.coordinate;

import org.olat.core.util.event.MultiUserEvent;

/**
 * 
 * Description:<br>
 * 
 * <P>
 * Initial Date:  20 déc. 2011 <br>
 *
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 */
public class LockRemovedEvent extends MultiUserEvent {
	
	private static final long serialVersionUID = -6145464310151901224L;
	
	public static final String LOCK_REMOVED = "lock-removed";
	
	private final LockEntry lockEntry;
	
	public LockRemovedEvent(LockEntry lockEntry) {
		super(LOCK_REMOVED);
		this.lockEntry = lockEntry;
	}

	public LockEntry getLockEntry() {
		return lockEntry;
	}
}
